Assign an SMS phone number to an agent
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/sms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/sms"
payload = { "phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "sms"
}
}Agent Channel Bindings
Assign an SMS phone number to an agent
Assigns one owned phone number to the agent for SMS conversations and provisions its messaging profile plus inbound webhook. Use this after purchasing or importing an SMS-capable number and before sending SMS tasks or receiving SMS replies with this agent. Any existing SMS assignment for the agent is replaced. The call fails if inbound provisioning cannot be completed.
POST
/
api
/
v1
/
agents
/
{uuid}
/
channels
/
sms
Assign an SMS phone number to an agent
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
UUID of one of your phone numbers.
⌘I